{ privateFiles ? ./. }:
{
  network = {
    description = "Immae's network";
    enableRollback = true;
  };

  # Used by hetzner cloud to provision machines
  resources.sshKeyPairs.ssh-key = {};
  dilion = import ../modules/private/system/dilion.nix { inherit privateFiles; };
  eldiron = import ../modules/private/system/eldiron.nix { inherit privateFiles; };
  backup-2 = import ../modules/private/system/backup-2.nix { inherit privateFiles; };
  monitoring-1 = import ../modules/private/system/monitoring-1.nix { inherit privateFiles; };
}
